Commit 394a8fe2 authored by Jan Groenewald's avatar Jan Groenewald

Expand aims-release-upgrade

parent 377a4a19
...@@ -12,9 +12,27 @@ export DEBIAN_FRONTEND="noninteractive" ...@@ -12,9 +12,27 @@ export DEBIAN_FRONTEND="noninteractive"
#export DPKG_OPTIONS='-o Dpkg::Options::="--force-confold"' #export DPKG_OPTIONS='-o Dpkg::Options::="--force-confold"'
# Resume if we have a partial install... # Resume if we have a partial install...
echo " * Checking whether your Debian 9 Stretch system is in a consistent state."
echo " * Configuring all packages..."
dpkg --configure -a dpkg --configure -a
echo " * Checking all packages completed installing..."
apt-get -f install || 'echo "Unable to correct; Please fix your system first." && exit 1' apt-get -f install || 'echo "Unable to correct; Please fix your system first." && exit 1'
# Update stretch
echo "Checking whether your Debian 9 Stretch system is up to date."
echo " * Updating package list..."
apt-get -qq update
echo " * Downloading upgrade package set..."
apt-get $DPKG_OPTIONS --yes --quiet --download-only dist-upgrade
echo " * Performing initial upgrade (safe upgrade)..."
apt-get $DPKG_OPTIONS --yes --quiet upgrade
echo " * Completeing full upgrade (dist-upgrade)..."
apt-get $DPKG_OPTIONS --yes --quiet full-upgrade
echo " * Remove packages that are no longer needed... "
apt-get -y autoremove
# Update to buster
echo "Commencing upgrade from Debian 9 Stretch to Debian 10 Buster."
echo "Updating sources..." echo "Updating sources..."
[ -f /etc/apt/sources.list.d ] && mv -f /etc/apt/sources.list.d/jessie.list /etc/apt/sources.list.d/jessie.list.disabled [ -f /etc/apt/sources.list.d ] && mv -f /etc/apt/sources.list.d/jessie.list /etc/apt/sources.list.d/jessie.list.disabled
sed --in-place "s/stretch/buster/g" /etc/apt/sources.list /etc/apt/sources.list.d/* 2> /dev/null sed --in-place "s/stretch/buster/g" /etc/apt/sources.list /etc/apt/sources.list.d/* 2> /dev/null
...@@ -27,7 +45,7 @@ echo " * Performing initial upgrade (safe upgrade)..." ...@@ -27,7 +45,7 @@ echo " * Performing initial upgrade (safe upgrade)..."
apt-get $DPKG_OPTIONS --yes --quiet upgrade apt-get $DPKG_OPTIONS --yes --quiet upgrade
echo " * Completeing full upgrade (dist-upgrade)..." echo " * Completeing full upgrade (dist-upgrade)..."
apt-get $DPKG_OPTIONS --yes --quiet full-upgrade apt-get $DPKG_OPTIONS --yes --quiet full-upgrade
echo " * Re-install AIMS Desktop metapacage..." echo " * Re-install AIMS Desktop metapackage..."
# re-installing ensures that all recommends, including new ones are installed # re-installing ensures that all recommends, including new ones are installed
apt-get $DPKG_OPTIONS --yes --quiet remove aims-desktop apt-get $DPKG_OPTIONS --yes --quiet remove aims-desktop
apt-get $DPKG_OPTIONS --yes --quiet install aims-desktop apt-get $DPKG_OPTIONS --yes --quiet install aims-desktop
...@@ -35,8 +53,14 @@ echo " * Remove packages that are no longer needed... " ...@@ -35,8 +53,14 @@ echo " * Remove packages that are no longer needed... "
apt-get $DPKG_OPTIONS --yes --quiet autoremove apt-get $DPKG_OPTIONS --yes --quiet autoremove
# R packages must be compiled against current version of R # R packages must be compiled against current version of R
mv /usr/local/lib/R/site-library /usr/local/lib/R/site-library.stretch # including the IRkernel we installed for stretch
echo "R has been upgraded. Please re-install your locally installed R packages." rm -rf /usr/local/lib/R/site-library/*
echo "You can safely remove /usr/local/lib/R/site-library.stretch" aims-install-rstudio
echo "You can also aims-install-rstudio to get the latest version of RStudio," echo " * R has been upgraded. Please re-install your locally installed R packages."
echo "Note r-cran-irkernel is now in the AIMS PPA and in AIMS Desktop by default." echo " * Note r-cran-irkernel is now in the AIMS PPA and in AIMS Desktop by default."
# reboot
echo
echo " * Upgrade to Debian 10 buster seems to have completed successfully."
echo " * Please reboot your system now!"
echo
aims-desktop (1:2019.07.11) stretch; urgency=medium
* Expand aims-release-upgrade to first update stretch and afterwards remove
R packages locally installed
-- Jan Groenewald <jan@aims.ac.za> Thu, 11 Jul 2019 12:48:28 +0000
aims-desktop (1:2019.07.10) stretch; urgency=medium aims-desktop (1:2019.07.10) stretch; urgency=medium
* Change IRKernel message in aims-release-upgrade * Change IRKernel message in aims-release-upgrade
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment